Overview | Package | Class | Use | Tree | Deprecated | Index | Help
|  | BEA Systems, Inc.
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

WebLogic Server 8.1 API Reference

## weblogic.management.deploy
Class TargetStatus

    java.lang.Object
      |
      +--weblogic.management.deploy.TargetStatus

public class TargetStatus
extends java.lang.Object
implements java.io.Serializable

Interface used within the deployment API for tracking target specific status of deployment requests. These objects maintain the status of the deployment task for a particular target server or cluster in a deployment task. TargetStatus objects are created by the server as part of initiating a deployment request via the `DeployerRuntimeMBean` methods, which create a `DeploymentTaskRuntimeMBean` object to track overall status of the deployment. The TargetStatus objects for such a task are accessible via the `DeploymentTaskRuntimeMBean.getTargets()` method.

Author:
  Copyright © 2004 BEA Systems, Inc. All Rights Reserved.
See Also:
  Serialized Form

Field Summary
`static int` | `STATE_FAILED` Deployment failed or cancelled for this target
`static int` | `STATE_IN_PROGRESS` In progress.
`static int` | `STATE_INIT` Initial state
`static int` | `STATE_SUCCESS` Deployment succeeded for this target
`static int` | `STATE_UNAVAILABLE` Deployment deferred for this target as target unavailable
`static int` | `TYPE_CLUSTER` Indicates target is a cluster
`static int` | `TYPE_SERVER` Indicates target is a server
`static int` | `TYPE_UNKNOWN` Indicates target is unknown

Method Summary
`java.lang.Exception[]` | `getMessages()` Any messages generated during this task in the order received.
`int` | `getState()` Status of deployment for this target.
`java.lang.String` | `getTarget()` Returns the name of the associated target server or cluster whose status is tracked by this object.
`int` | `getTargetType()` Indicates the type of target.
`java.lang.String` | `toString()`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Field Detail

### STATE_INIT

    public static final int STATE_INIT

  Initial state

### STATE_IN_PROGRESS

    public static final int STATE_IN_PROGRESS

  In progress. Waiting for response

### STATE_FAILED

    public static final int STATE_FAILED

  Deployment failed or cancelled for this target

### STATE_SUCCESS

    public static final int STATE_SUCCESS

  Deployment succeeded for this target

### STATE_UNAVAILABLE

    public static final int STATE_UNAVAILABLE

  Deployment deferred for this target as target unavailable

### TYPE_UNKNOWN

    public static final int TYPE_UNKNOWN

  Indicates target is unknown

### TYPE_SERVER

    public static final int TYPE_SERVER

  Indicates target is a server

### TYPE_CLUSTER

    public static final int TYPE_CLUSTER

  Indicates target is a cluster

Method Detail

### getState

    public int getState()

  Status of deployment for this target. State can transition from init to in progress, then to deferred, failed or successful.

### getMessages

    public java.lang.Exception[] getMessages()

  Any messages generated during this task in the order received.

  Parameters:
    `message` - is the text

### getTarget

    public java.lang.String getTarget()

  Returns the name of the associated target server or cluster whose status is tracked by this object.

### getTargetType

    public int getTargetType()

  Indicates the type of target. Possible types are unknown, server and cluster. An unknown target generally indicates that this object has not been completely set up.

### toString

    public java.lang.String toString()

  Overrides:
    toString in class java.lang.Object

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Documentation is available at http://e-docs.bea.com/wls/docs81
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD